Record wallet device observation
Records a wallet-linked device observation for an authenticated session. Intended for abuse analysis and sybil investigation workflows.
curl --request POST \
--url https://joyride.exchange/api/v1/account/device-observation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_party_device_id": "14c2a553-b7c6-42ec-b4fa-8960955f8971",
"fp_id": "9d9ef3fef4f737f53d1d6db7efec77e365f4f420f3f18634e4a65f5f83d51989",
"fuzzy_id": "9f0f10a0a0c19af7ee0d83fc2449336cfcc4ef61de4d8970ce9054128564d0e5",
"raw_fingerprint": {},
"stable_fingerprint": {}
}
'import requests
url = "https://joyride.exchange/api/v1/account/device-observation"
payload = {
"first_party_device_id": "14c2a553-b7c6-42ec-b4fa-8960955f8971",
"fp_id": "9d9ef3fef4f737f53d1d6db7efec77e365f4f420f3f18634e4a65f5f83d51989",
"fuzzy_id": "9f0f10a0a0c19af7ee0d83fc2449336cfcc4ef61de4d8970ce9054128564d0e5",
"raw_fingerprint": {},
"stable_fingerprint": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_party_device_id: '14c2a553-b7c6-42ec-b4fa-8960955f8971',
fp_id: '9d9ef3fef4f737f53d1d6db7efec77e365f4f420f3f18634e4a65f5f83d51989',
fuzzy_id: '9f0f10a0a0c19af7ee0d83fc2449336cfcc4ef61de4d8970ce9054128564d0e5',
raw_fingerprint: {},
stable_fingerprint: {}
})
};
fetch('https://joyride.exchange/api/v1/account/device-observation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recorded": true
}{
"error": "Instrument not found"
}{
"error": "Instrument not found"
}Authorizations
JWT obtained from POST /v1/auth/verify after SIWS authentication.
Include as: Authorization: Bearer <jwt>
Body
Stable first-party device identifier persisted by the client.
"14c2a553-b7c6-42ec-b4fa-8960955f8971"
Stable device fingerprint hash derived from the web analytics collector.
"9d9ef3fef4f737f53d1d6db7efec77e365f4f420f3f18634e4a65f5f83d51989"
Fuzzy device fingerprint hash derived from the web analytics collector.
"9f0f10a0a0c19af7ee0d83fc2449336cfcc4ef61de4d8970ce9054128564d0e5"
Raw fingerprint payload collected by the client analytics bundle.
Stable fingerprint payload used to derive fp_id.
Response
Device observation recorded
true
